package com.xxfc.rv.db.service;

import com.xxfc.rv.db.table.ChatConversation;
import com.xxfc.rv.db.table.ChatMessage;

import java.util.List;

public interface IChatMessageService {

    List<ChatMessage> getAllMessage(String userId);

    void addMessage(ChatMessage message);

    void setMsgSendSuccess(String receiptId);

    void setUpProgress(String packId, int progress);

    void setUpFailure(String packId);

    void setMsgSendFailure(String receiptId);

    void setUpSuccess(String packId, String url);

    ChatMessage getLastMsg(ChatConversation conversation) ;

    int getUnReadMsg(String targetUserId);

    void setMsgRead(String targetUserId);

    void setVoicePlay(String packId);

}
